module ModTest2 interface;

export
  ModTest = (a => i, DoTest);

var
  a: integer;


procedure DoTest;


end.


module ModTest2 implementation;


procedure DoTest;
begin
  a := -9;
end;



end.


program Test(output);

import
  ModTest;

begin
  DoTest;
  if i = -9
    then  writeln('OK')
    else  writeln('failed');
end.
